0

I am trying to install JDK 8 or 9, can't get either to work, so that I can use my laptop for my Java class. When I try to install it I get an error to install. This is what I have done so far:

sudo add-apt-repository -y ppa:webupd8team/java
sudo apt-get update
sudo apt-get install oracle-java9-installer

and I get an error:

download failed
Oracle JDK 9 is NOT installed.
dpkg: error processing package oracle-java9-installer (--configure):
subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
oracle-java9-installer
E: Sub-process /usr/bin/dpkg returned an error code (1)

I've tried everything that I could find to remedy this but it all looked to be the same. This happens with version 8 or 9. Once I get this going I plan to install jGrasp since that is what I am familiar with and don't plan on any major programming.

0
sudo apt-get purge oracle-java9-installer

solved my issue. Later I also changed Ubuntu Software center server to "Main Server".

  • After trying this it comes up with the same error. – boostless Jan 20 '18 at 20:28

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.